API
HQ APIPromocodes

Validate a promo code

Validates a promo code against Chargebee and returns the discount details or a descriptive error.

GET/v1/hq/promo_codes/{promo_code}

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

promo_code*string

The promo code to validate

Query Parameters

company_id*string

Company id

select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/promo_codes/string?company_id=string"
{
  "valid": true,
  "coupon_id": "string",
  "error_code": "not_found",
  "error_message": "string",
  "discount_type": "fixed_amount",
  "discount_percentage": 0.1,
  "discount_amount": 0,
  "duration_type": "one_time",
  "duration_month": 0,
  "currency_code": "string"
}
Empty
Empty
Empty
Empty
Empty